'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  OpenOffice.org - a multi-platform office productivity suite
'*
'*  $RCSfile: w_fields.bas,v $
'*
'*  $Revision: 1.9 $
'*
'*  last change: $Author: hde $ $Date: 2006/10/16 13:34:19 $
'*
'*  The Contents of this file are made available subject to
'*  the terms of GNU Lesser General Public License Version 2.1.
'*
'*
'*    GNU Lesser General Public License Version 2.1
'*    =============================================
'*    Copyright 2005 by Sun Microsystems, Inc.
'*    901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*    This library is free software; you can redistribute it and/or
'*    modify it under the terms of the GNU Lesser General Public
'*    License version 2.1, as published by the Free Software Foundation.
'*
'*    This library is distributed in the hope that it will be useful,
'*    but WITHOUT ANY WARRANTY; without even the implied warranty of
'*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*    Lesser General Public License for more details.
'*
'*    You should have received a copy of the GNU Lesser General Public
'*    License along with this library; if not, write to the Free Software
'*    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*    MA  02111-1307  USA
'*
'/************************************************************************
'*
'* owner :  helge.delfs@sun.com
'*
'* short description : Printing of Hidden Text and Placeholders
'*
'\*******************************************************************

global gSeperator , gMeasurementUnit as String

sub main

    Dim StartZeit   
    StartZeit = Now()
    
    use "writer\tools\inc\w_tools.inc"
    use "writer\tools\inc\w_tool3.inc"
    use "writer\tools\inc\w_tool7.inc"   
    use "writer\level1\inc\tools\tools1.inc"
    use "writer\level1\inc\tools\tools2.inc"
    use "writer\level1\inc\HiddenTextandPlaceholders\w_HiddenTextandPlaceholders.inc"
    
    
    printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartZeit )
    printlog Chr(13) + "******* Writer - Level 1 - Test *******"
    
    Call hStatusIn ( "writer", "w_HiddenTextandPlaceholders.bas" , "HiddenTextandPlaceholders" )
    
    'Software Configuration:
    'Getting the decimal seperator from global function
    gSeperator = GetDecimalSeperator()
    'Setting the measurement unit to centimeters.
    gMeasurementUnit = fSetMeasurementToCM()
    
    printlog Chr(13) + " --- Test hidden text or placeholders - General Test ---"
    
    Call HiddenTextandPlaceholders
    
	Call hStatusOut
    
    Printlog Chr(13) + "End of Level 1 Test - Fields"
    Printlog "Duration: "+ WieLange ( StartZeit )
    Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication = "Writer"
end Sub
