'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  OpenOffice.org - a multi-platform office productivity suite
'*
'*  $RCSfile: wh_o_1.inc,v $
'*
'*  $Revision: 1.8 $
'*
'*  last change: $Author: hde $ $Date: 2005/10/13 09:00:55 $
'*
'*  The Contents of this file are made available subject to
'*  the terms of GNU Lesser General Public License Version 2.1.
'*
'*
'*    GNU Lesser General Public License Version 2.1
'*    =============================================
'*    Copyright 2005 by Sun Microsystems, Inc.
'*    901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*    This library is free software; you can redistribute it and/or
'*    modify it under the terms of the GNU Lesser General Public
'*    License version 2.1, as published by the Free Software Foundation.
'*
'*    This library is distributed in the hope that it will be useful,
'*    but WITHOUT ANY WARRANTY; without even the implied warranty of
'*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*    Lesser General Public License for more details.
'*
'*    You should have received a copy of the GNU Lesser General Public
'*    License along with this library; if not, write to the Free Software
'*    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*    MA  02111-1307  USA
'*
'/************************************************************************
'*
'* owner :zhanghong@redflag2000.cn
'* short description : printing hidden text or placeholders
'*
'\***********************************************************************
sub HiddenTextandPlaceholders

call Precondition                   'Insert Hidden text field
call OptionsDialog                  'check default options for Hidden text and Text placeholder 

end sub
testcase Precondition

	printlog Chr(13) +" ---------Insert Hidden text field: ---------"

	'///Open new Writer document	
	call hNewdocument

	'///Insert dummy text with dt+F3 or bt+F3 in german version to fill the page with some text 
	Call wDokSchreiben "dt<F3>"
	
	'///Highlight with mouse one sentence or some words
	Call wDokSchreiben "<MOD1 Home>"
	Call wDokSchreiben "<Shift Right>",8

	'Menu Insert - Fields - Other...
	InsertFieldsOther
    Kontext
    Active.SetPage TabFunktionen    
	Kontext "TabFunktionen" 
	Feldtyp.Select 7
	
'///Note: The selected text before should be already set into the Hidden text field.
	if Wert.gettext <> "He heard"   then
	   warnlog  "The Hidded text is not correct,should be 'He heard'"
	else
	   printlog Chr(13)+"OK,The Hidden text is correct!"
	end if
	
'///Click Insert button
	Einfuegen.click
'///Click Close button
	TabFunktionen.close

	
	printlog Chr(13) +" ---------Insert Placeholder: ---------"
	
	Dim sPlaceHolder ,sPlaceHolderContent   as String
	Dim i as integer

'///Set cursor to any place at the document
    Call wDokSchreiben "<MOD1 End><Return>"
    	
	for i = 1 to 5
	select case i
	 
	 case 1 : sPlaceHolder = "Text"	
			  sPlaceHolderContent = "Click to overwrite"
	 case 2 : sPlaceHolder = "Table"	
			  sPlaceHolderContent = "Click to insert Table"
	 case 3 : sPlaceHolder = "Frame"	
			  sPlaceHolderContent = "Click to insert Frame"
     case 4 : sPlaceHolder = "Graphics"	
			  sPlaceHolderContent = "Click to insert Graphics"
	 case 5 : sPlaceHolder = "Object"	
			  sPlaceHolderContent = "Click to insert Object"
	end select
			  

'///Menu Insert - Fields - Other...
	InsertFieldsOther   	
'///Select tab page Functions and slect Placeholder at Type area
	Kontext
    Active.SetPage TabFunktionen    
	Kontext "TabFunktionen" 
	Feldtyp.Select 5
'///Select Format at Format area and click Insert button
	Formatliste.select i
'///Type content in Placeholder field to differ between the other placeholders
	Platzhalter.settext sPlaceHolder
'///Type Reference
	Hinweis.settext sPlaceHolderContent	
'///Click Insert button
	Einfuegen.click
'///Click Close button
	TabFunktionen.Close	
  '/// Check if the insertion is correct
    Call wDokSchreiben "<Home>"
    Call wDokSchreiben "<Shift End>"
  Dim myVar as string
  myVar = fGetFieldContent()
	if myVar <> ("<" & sPlaceHolder & ">" )then
       Warnlog "Should get <" & sPlaceHolder & "> but get " & myVar
    else
       printlog "The placeholders "& myVar &" is correct!"
    end if
	
	Call wDokSchreiben "<escape>"
'    Call wDokSchreiben " "
	Call wDokSchreiben "<mod1 end><return>"           
	next i
	
	call hCloseDocument
endcase
'------------------------------------------------------------------------------------	
testcase OptionsDialog	
'///check default options for Hidden text and Text placeholder 
	printlog chr(13) + "check default options for Hidden text and Text placeholder dialog" + chr(13)
	
'///Menu Tools - Options... - OpenOffice.org Writer - Print 
	ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","PRINT")
    
'///CheckBoxes for Hidden text and Text placeholder shold be unchecked by default
	if HiddenText.IsChecked = true then
	     warnlog "checkbox for Hidden text shold be unchecked by default"		
	else
	    printlog "checkbox for Hidden text is unchecked by default"
	end if
	if TextPlaceholder.IsChecked = true then
	     warnlog "checkbox for Text placeholder shold be unchecked by default"	
	else
	   printlog "checkbox for Text placeholder is unchecked by default"  	
	end if
'///Enable both check boxes and click Cancel button
	printlog chr(13) +"Enable both check boxes and click Cancel button"
	HiddenText.check
	TextPlaceholder.check
	
	Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.cancel
'///Open Optios dialog again to see that both check boxes are still unchecked
	ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","PRINT")
    if HiddenText.IsChecked = true then
	     warnlog "checkbox for Hidden text shold be still unchecked "	
	else
	     printlog "checkbox for Hidden text is still unchecked"	
	end if
	if TextPlaceholder.IsChecked = true then
	     warnlog "checkbox for Text placeholder shold be still unchecked "	
	else
	     printlog "checkbox for Text placeholder is still unchecked"	
	end if
	Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.cancel
'///Open Optios dialog again and enable Hidden Text and Text Placeholder

	printlog chr(13) + "Open Optios dialog again and enable Hidden Text and Text Placeholder"
	ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","PRINT")
    HiddenText.check
	TextPlaceholder.check
'///Close Options dialog with the x-closer on top right.
	Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.close
'///Open Optios dialog again to see that both check boxes are still unchecked
	
	ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","PRINT")
    if HiddenText.IsChecked = true then
	     warnlog "checkbox for Hidden text shold be still unchecked "	
	else
	     printlog "checkbox for Hidden text is still unchecked"		
	end if
	if TextPlaceholder.IsChecked = true then
	     warnlog "checkbox for Text placeholder shold be still unchecked "	
	else
	     printlog "checkbox for Text placeholder is still unchecked"		
	end if
'///Close Options dialog with ok
	Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
'    call hCloseDocument
 endcase
'-----------------------------------------------------------------------------------





